import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { AdDeliveryPlan } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-20 13:55
 */
interface AdDeliveryPlanCU extends ConditionUtil<AdDeliveryPlanCU> {
    ID: FieldUtil<AdDeliveryPlanCU>;
    NAME: FieldUtil<AdDeliveryPlanCU>;
    DESCRIPTION: FieldUtil<AdDeliveryPlanCU>;
    AD_INFO_ID: FieldUtil<AdDeliveryPlanCU>;
    CHARGE_TYPE: FieldUtil<AdDeliveryPlanCU>;
    PRICE: FieldUtil<AdDeliveryPlanCU>;
    START_TIME: FieldUtil<AdDeliveryPlanCU>;
    END_TIME: FieldUtil<AdDeliveryPlanCU>;
    DISPALY_TIMES: FieldUtil<AdDeliveryPlanCU>;
    DISPLAY_TIMES_PER_USER: FieldUtil<AdDeliveryPlanCU>;
    STATUS: FieldUtil<AdDeliveryPlanCU>;
    CREATE_TIME: FieldUtil<AdDeliveryPlanCU>;
    CREATOR: FieldUtil<AdDeliveryPlanCU>;
    UPDATE_TIME: FieldUtil<AdDeliveryPlanCU>;
    UPDATOR: FieldUtil<AdDeliveryPlanCU>;
}
declare class AdDeliveryPlanMU extends TableUtilImpl<AdDeliveryPlanCU, AdDeliveryPlan> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): AdDeliveryPlanCU;
    static get ID(): FieldUtil<AdDeliveryPlanCU>;
    static get NAME(): FieldUtil<AdDeliveryPlanCU>;
    static get DESCRIPTION(): FieldUtil<AdDeliveryPlanCU>;
    static get AD_INFO_ID(): FieldUtil<AdDeliveryPlanCU>;
    static get CHARGE_TYPE(): FieldUtil<AdDeliveryPlanCU>;
    static get PRICE(): FieldUtil<AdDeliveryPlanCU>;
    static get START_TIME(): FieldUtil<AdDeliveryPlanCU>;
    static get END_TIME(): FieldUtil<AdDeliveryPlanCU>;
    static get DISPALY_TIMES(): FieldUtil<AdDeliveryPlanCU>;
    static get DISPLAY_TIMES_PER_USER(): FieldUtil<AdDeliveryPlanCU>;
    static get STATUS(): FieldUtil<AdDeliveryPlanCU>;
    static get CREATE_TIME(): FieldUtil<AdDeliveryPlanCU>;
    static get CREATOR(): FieldUtil<AdDeliveryPlanCU>;
    static get UPDATE_TIME(): FieldUtil<AdDeliveryPlanCU>;
    static get UPDATOR(): FieldUtil<AdDeliveryPlanCU>;
    get ID(): FieldUtil<AdDeliveryPlanCU>;
    get NAME(): FieldUtil<AdDeliveryPlanCU>;
    get DESCRIPTION(): FieldUtil<AdDeliveryPlanCU>;
    get AD_INFO_ID(): FieldUtil<AdDeliveryPlanCU>;
    get CHARGE_TYPE(): FieldUtil<AdDeliveryPlanCU>;
    get PRICE(): FieldUtil<AdDeliveryPlanCU>;
    get START_TIME(): FieldUtil<AdDeliveryPlanCU>;
    get END_TIME(): FieldUtil<AdDeliveryPlanCU>;
    get DISPALY_TIMES(): FieldUtil<AdDeliveryPlanCU>;
    get DISPLAY_TIMES_PER_USER(): FieldUtil<AdDeliveryPlanCU>;
    get STATUS(): FieldUtil<AdDeliveryPlanCU>;
    get CREATE_TIME(): FieldUtil<AdDeliveryPlanCU>;
    get CREATOR(): FieldUtil<AdDeliveryPlanCU>;
    get UPDATE_TIME(): FieldUtil<AdDeliveryPlanCU>;
    get UPDATOR(): FieldUtil<AdDeliveryPlanCU>;
}
export { AdDeliveryPlanMU, AdDeliveryPlanCU };
